This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1470285 - Beta.Gluster.org IP address
Beta.Gluster.org IP address
Status: NEW
Product: GlusterFS
Classification: Community
Component: website (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 12:08 EDT by Amye Scavarda
Modified: 2017-07-14 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amye Scavarda 2017-07-12 12:08:40 EDT
Hurray! 
We're at the point where I need to have a beta.gluster.org address available so that we can start showing off our new public face.
Thanks!
Comment 1 M. Scherer 2017-07-12 15:16:41 EDT
A ip address for what, where, we can't just give ip like this. Also, how is it gonna be deployed, and who will take care of that ?
Comment 2 Amye Scavarda 2017-07-12 15:43:05 EDT
The website team was asking for the wrong thing, so let me clarify. 
Age of Peers, who created Ceph.com has a WordPress website in preview that will need to be hosted on our current infrastructure. 
This will take over for the main page of gluster.org and blog.gluster.org, they will no longer be separate installs. 

What we need is a way to be able to have a beta.gluster.org address available to be able to point to their staging server so that we can access this. 
In about 3-4 weeks time, we'll need to do a full launch for gluster.org, but we need beta first to be able to stage content.
Comment 3 M. Scherer 2017-07-13 05:32:20 EDT
So for that, I need the ip address where the content will be hosted, since it seems to not be planned to be hosted and maintained by the infra team.
Comment 4 Amye Scavarda 2017-07-13 08:38:30 EDT
This will be hosted with us in the same place where the existing WordPress install is.
It will be replacing the existing WordPress install at launch.
Comment 5 M. Scherer 2017-07-13 09:08:04 EDT
Just to be clear and have it in writing, who is gonna be responsible for maintainaing it, and setting it up ?
Comment 6 Amye Scavarda 2017-07-13 10:17:59 EDT
This replaces our current WordPress installation. This consolidates our web presence into one single installation and brings Gluster in line with what Ceph maintains as a web presence as well. 

Am I being unclear?
Comment 7 M. Scherer 2017-07-13 10:22:35 EDT
No, but my question is still unanswered. 

Who is gonna be responsible for doing the deployment and maintenance ?
Comment 8 Amye Scavarda 2017-07-13 10:33:06 EDT
The people maintaining the current infra. It replaces and consolidates our current web presence.
Comment 9 M. Scherer 2017-07-13 17:37:30 EDT
Ok so no, that still do not answer the question.

What are the name of the people who are gonna be deploying and maintaining that ?


I didn't found any list telling who is maintaining the current web infra. 

The cominfra team do take care of the static builder, of the underlying OS on the web server, sure. You seems to be the one doing and dealing with the git repository and content. 

But who is dealing with wordpress is not written anywhere AFAIK.

However, what was written in several mails, and said in several meeting is that that my team wasn't willing to take care of Wordpress (to which usually is answered "sure, we can do it ourself")

So again, what is the plan, what is gonna happen in 1 month time regarding the switch (as I assume there is a plan) ?

Since it was decided to host it on supercolony (cf comment #4) without our input, I would like to point out that it would have been nice to ask to the infra team about it instead of just dropping from above as usual. We want to get ride of that server, that's still EL 6, so I think it would be a better option to move to a new VM in EL 7.

Then the team in charge of setting it up can take care of the setup, we will provides apache and a database on the postgres server (so we can have automated backup).
Comment 10 Amye Scavarda 2017-07-14 10:28:24 EDT
So I'm having trouble sorting this, is there somewhere I can look to see what the comminfra team does support?

Note You need to log in before you can comment on or make changes to this bug.